package tcra.exercises.general_assertions;

import java.util.List;
import tcra.math.*;

public class TrueAssertion implements Assertion
{
   /* Parms: l = list of objects to check; ignored here
   */
   public boolean check(List<MathType> l) { return true; }

   /* Purpose: print using mathematical values
   */
   public String toString()
   {
      return "true";
   } // end toString()

   /* Parms: l = list of objects to check; ignored here
      Purpose: print using actual values; just true here
   */
   public String toInstanceString(List<MathType> l)
   {
      return "true";
   } // end toString(List<Object>)
}
